public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Gilles Dartiguelongue" <eva@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/gnome:master commit in: gnome-base/gnome-keyring/
Date: Sun, 13 Oct 2013 22:22:48 +0000 (UTC)	[thread overview]
Message-ID: <1381701034.98c96376aaec25a6e5abec6e38822609818b2003.eva@gentoo> (raw)

commit:     98c96376aaec25a6e5abec6e38822609818b2003
Author:     Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
AuthorDate: Sun Oct 13 21:41:39 2013 +0000
Commit:     Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
CommitDate: Sun Oct 13 21:50:34 2013 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/gnome.git;a=commit;h=98c96376

gnome-base/gnome-keyring: 3.8.2 → 3.10.0

---
 .../gnome-keyring/gnome-keyring-3.10.0.ebuild      | 81 ++++++++++++++++++++++
 gnome-base/gnome-keyring/gnome-keyring-9999.ebuild | 80 +++++----------------
 2 files changed, 99 insertions(+), 62 deletions(-)

diff --git a/gnome-base/gnome-keyring/gnome-keyring-3.10.0.ebuild b/gnome-base/gnome-keyring/gnome-keyring-3.10.0.ebuild
new file mode 100644
index 0000000..38dc4f6
--- /dev/null
+++ b/gnome-base/gnome-keyring/gnome-keyring-3.10.0.ebuild
@@ -0,0 +1,81 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="5"
+GCONF_DEBUG="yes" # Not gnome macro but similar
+GNOME2_LA_PUNT="yes"
+
+inherit fcaps gnome2 pam versionator virtualx
+
+DESCRIPTION="Password and keyring managing daemon"
+HOMEPAGE="http://live.gnome.org/GnomeKeyring"
+
+LICENSE="GPL-2+ LGPL-2+"
+SLOT="0"
+IUSE="+caps debug pam selinux"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~sparc-solaris ~x86-solaris"
+
+RDEPEND="
+	>=app-crypt/gcr-3.5.3:=[gtk]
+	>=dev-libs/glib-2.32.0:2
+	app-misc/ca-certificates
+	>=dev-libs/libgcrypt-1.2.2:=
+	>=sys-apps/dbus-1.1.1
+	caps? ( sys-libs/libcap-ng )
+	pam? ( virtual/pam )
+"
+DEPEND="${RDEPEND}
+	>=dev-util/intltool-0.35
+	sys-devel/gettext
+	virtual/pkgconfig
+"
+PDEPEND=">=gnome-base/libgnome-keyring-3.1.92"
+# eautoreconf needs:
+#	>=dev-util/gtk-doc-am-1.9
+# gtk-doc-am is not needed otherwise (no gtk-docs are installed)
+
+src_prepare() {
+	# Disable stupid CFLAGS
+	sed -e 's/CFLAGS="$CFLAGS -g"//' \
+		-e 's/CFLAGS="$CFLAGS -O0"//' \
+		-i configure.ac configure || die
+
+	# FIXME: some tests write to /tmp (instead of TMPDIR)
+	# Disable failing tests
+	sed -e '/g_test_add.*test_remove_file_abort/d' \
+		-e '/g_test_add.*test_write_file/d' \
+		-e '/g_test_add.*write_large_file/,+2 c\ {}; \ ' \
+		-e '/g_test_add.*test_write_file_abort_.*/d' \
+		-e '/g_test_add.*test_unique_file_conflict.*/d' \
+		-i pkcs11/gkm/tests/test-transaction.c || die
+	sed -e '/g_test_add.*test_create_assertion_complete_on_token/d' \
+		-i pkcs11/xdg-store/tests/test-xdg-trust.c || die
+	sed -e '/g_test_add.*gnome2-store.import.pkcs12/,+1 d' \
+		-i pkcs11/gnome2-store/tests/test-import.c || die
+
+	gnome2_src_prepare
+}
+
+src_configure() {
+	gnome2_src_configure \
+		$(use_with caps libcap-ng) \
+		$(use_enable pam) \
+		$(use_with pam pam-dir $(getpam_mod_dir)) \
+		$(use_enable selinux) \
+		--enable-ssh-agent \
+		--enable-gpg-agent
+}
+
+src_test() {
+	 # FIXME: this should be handled at eclass level
+	 "${EROOT}${GLIB_COMPILE_SCHEMAS}" --allow-any-name "${S}/schema" || die
+
+	 unset DBUS_SESSION_BUS_ADDRESS
+	 GSETTINGS_SCHEMA_DIR="${S}/schema" Xemake check
+}
+
+pkg_postinst() {
+	fcaps cap_ipc_lock usr/bin/gnome-keyring-daemon
+	gnome2_pkg_postinst
+}

diff --git a/gnome-base/gnome-keyring/gnome-keyring-9999.ebuild b/gnome-base/gnome-keyring/gnome-keyring-9999.ebuild
index e1b153d..7b76c05 100644
--- a/gnome-base/gnome-keyring/gnome-keyring-9999.ebuild
+++ b/gnome-base/gnome-keyring/gnome-keyring-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2012 Gentoo Foundation
+# Copyright 1999-2013 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Header: $
 
@@ -6,7 +6,7 @@ EAPI="5"
 GCONF_DEBUG="yes" # Not gnome macro but similar
 GNOME2_LA_PUNT="yes"
 
-inherit gnome2 pam versionator virtualx
+inherit fcaps gnome2 pam versionator virtualx
 if [[ ${PV} = 9999 ]]; then
 	inherit gnome2-live
 fi
@@ -20,16 +20,15 @@ IUSE="+caps debug pam selinux"
 if [[ ${PV} = 9999 ]]; then
 	KEYWORDS=""
 else
-	KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~sparc-solaris ~x86-solaris"
+	KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~sparc-solaris ~x86-solaris"
 fi
 
 RDEPEND="
-	>=app-crypt/gcr-3.5.3:=
+	>=app-crypt/gcr-3.5.3:=[gtk]
 	>=dev-libs/glib-2.32.0:2
-	>=x11-libs/gtk+-3.0:3
 	app-misc/ca-certificates
 	>=dev-libs/libgcrypt-1.2.2:=
-	>=sys-apps/dbus-1.0
+	>=sys-apps/dbus-1.1.1
 	caps? ( sys-libs/libcap-ng )
 	pam? ( virtual/pam )
 "
@@ -53,67 +52,24 @@ src_prepare() {
 }
 
 src_configure() {
-	G2CONF="${G2CONF}
-		$(use_with caps libcap-ng)
-		$(use_enable pam)
-		$(use_with pam pam-dir $(getpam_mod_dir))
-		$(use_enable selinux)
-		--with-root-certs=${EPREFIX}/etc/ssl/certs/
-		--with-ca-certificates=${EPREFIX}/etc/ssl/certs/ca-certificates.crt
-		--enable-ssh-agent
-		--enable-gpg-agent"
-	gnome2_src_configure
+	gnome2_src_configure \
+		$(use_with caps libcap-ng) \
+		$(use_enable pam) \
+		$(use_with pam pam-dir $(getpam_mod_dir)) \
+		$(use_enable selinux) \
+		--enable-ssh-agent \
+		--enable-gpg-agent
 }
 
 src_test() {
-	unset DBUS_SESSION_BUS_ADDRESS
-	Xemake check
+	 # FIXME: this should be handled at eclass level
+	 "${EROOT}${GLIB_COMPILE_SCHEMAS}" --allow-any-name "${S}/schema" || die
+
+	 unset DBUS_SESSION_BUS_ADDRESS
+	 GSETTINGS_SCHEMA_DIR="${S}/schema" Xemake check
 }
 
 pkg_postinst() {
-	use caps && fcaps 0:0 755 cap_ipc_lock "${EROOT}"/usr/bin/gnome-keyring-daemon
-
+	fcaps cap_ipc_lock usr/bin/gnome-keyring-daemon
 	gnome2_pkg_postinst
 }
-
-# borrowed from GSoC2010_Gentoo_Capabilities by constanze and Flameeyes
-# @FUNCTION: fcaps
-# @USAGE: fcaps {uid:gid} {file-mode} {cap1[,cap2,...]} {file}
-# @RETURN: 0 if all okay; non-zero if failure and fallback
-# @DESCRIPTION:
-# fcaps sets the specified capabilities in the effective and permitted set of
-# the given file. In case of failure fcaps sets the given file-mode.
-# Requires versionator.eclass
-fcaps() {
-	local uid_gid=$1
-	local perms=$2
-	local capset=$3
-	local path=$4
-	local res
-
-	chmod $perms $path && \
-	chown $uid_gid $path
-	res=$?
-
-	use caps || return $res
-
-	#set the capability
-	setcap "$capset=ep" "$path" &> /dev/null
-	#check if the capability got set correctly
-	setcap -v "$capset=ep" "$path" &> /dev/null
-	res=$?
-
-	if [ $res -ne 0 ]; then
-		ewarn "Failed to set capabilities. Probable reason is missing kernel support."
-		ewarn "Your kernel must have <FS>_FS_SECURITY enabled (e.g. EXT4_FS_SECURITY)"
-		ewarn "where <FS> is the filesystem to store ${path}"
-		if ! version_is_at_least 2.6.33 "$(uname -r)"; then
-			ewarn "For kernel 2.6.32 or older, you will also need to enable"
-			ewarn "SECURITY_FILE_CAPABILITIES."
-		fi
-		ewarn
-		ewarn "Falling back to suid now..."
-		chmod u+s ${path}
-	fi
-	return $res
-}


             reply	other threads:[~2013-10-13 22:22 UTC|newest]

Thread overview: 28+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2013-10-13 22:22 Gilles Dartiguelongue [this message]
  -- strict thread matches above, loose matches on Subject: below --
2018-01-12 12:46 [gentoo-commits] proj/gnome:master commit in: gnome-base/gnome-keyring/ Dennis Lamm
2016-03-26 22:54 Ole Reifschneider
2015-05-10 17:20 Gilles Dartiguelongue
2014-12-22 23:11 Gilles Dartiguelongue
2014-10-26 15:46 Gilles Dartiguelongue
2014-04-16 22:27 Gilles Dartiguelongue
2014-02-12 20:58 Gilles Dartiguelongue
2013-12-11 23:44 Gilles Dartiguelongue
2012-12-17  8:14 Gilles Dartiguelongue
2012-11-25 15:46 Gilles Dartiguelongue
2012-10-24  8:10 Alexandre Rostovtsev
2012-09-27 22:32 Alexandre Rostovtsev
2012-09-22 15:54 Nirbheek Chauhan
2012-09-05 15:48 Nirbheek Chauhan
2012-05-14  6:38 Alexandre Restovtsev
2012-04-20  7:29 Alexandre Restovtsev
2012-03-26  8:20 Nirbheek Chauhan
2012-02-27  2:24 Alexandre Restovtsev
2011-10-21  4:01 Alexandre Restovtsev
2011-10-18  7:37 Alexandre Restovtsev
2011-10-06  5:22 Priit Laes
2011-10-05 21:41 Alexandre Restovtsev
2011-05-28  3:40 Gilles Dartiguelongue
2011-04-11 22:25 Gilles Dartiguelongue
2011-04-10 18:04 Gilles Dartiguelongue
2011-04-05  0:57 Nirbheek Chauhan
2011-02-15 23:45 Nirbheek Chauhan

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1381701034.98c96376aaec25a6e5abec6e38822609818b2003.eva@gentoo \
    --to=eva@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox